Index: trunk/tools/arch_info/genarch.py
===================================================================
--- trunk/tools/arch_info/genarch.py	(revision 690)
+++ trunk/tools/arch_info/genarch.py	(revision 1)
@@ -14,5 +14,5 @@
 # to store the "arch_info.bin" file are defined by parameters on the command line:
 #  --arch=string     : path to directory containing the "arch_info.py" file
-#  --bin=string      : path to directory to store the "arch_info.bin" file
+#  --bin=string      : path to directory store the "arch_info.bin" file
 #
 # As the target architecture is generic, the following hardware parameters can be
@@ -23,8 +23,11 @@
 #  --nb_ttys=int     : number of TTY channels 
 #  --nb_nics=int     : number of NIC channels 
+#  --nb_cmas=int     : number of CMA channels
+#  --fbf_size=int    : frame buffer width & heigth
 #  --ioc_type=string : can be IOC_BDV , IOC_HBA , IOC_SDC , IOC_SPI
-#  --txt_type=string : can be TXT_TTY , TXT_MTY
-#  --fbf_type=string : can be FBF_LTI , FBF_SCL 
-#  --sys_clk=int     : system clock frequency (Hz)
+#  --mwr_type=string : can be MWR_GCD , MWR_DCT , MWR_CPY
+#  --io_cxy=int      : IO cluster identifier
+#  --boot_cxy=int    : boot cluster identifier
+#  --cache_line=int  : number of bytes in a cache line
 #
 # The following parameters can be used to generate the optional "hard_config.h" file,
@@ -73,19 +76,31 @@
                    help = 'define number ot NIC channels' )
 
+parser.add_option( '--nb_cmas', type = 'int', dest = 'nb_cmas',
+                   default = 2,
+                   help = 'define number ot CMA channels' )
+
+parser.add_option( '--fbf_size', type = 'int', dest = 'fbf_size', 
+                   default = 128,
+                   help = 'define frame buffer width and heigth' )
+
 parser.add_option( '--ioc_type', type = 'string', dest = 'ioc_type',
                    default = 'IOC_BDV',
-                   help = 'IOC type : BDV / HBA / SDC / RDK / SPI' )
-
-parser.add_option( '--txt_type', type = 'string', dest = 'txt_type',
-                   default = 'TXT_TTY',
-                   help = 'TXT type : TTY / RS2 / MTY' )
-
-parser.add_option( '--fbf_type', type = 'string', dest = 'fbf_type', 
-                   default = 'FBF_SCL',
-                   help = 'FBF type : LTI / SCL' )
-
-parser.add_option( '--sys_clk', type = 'int', dest = 'sys_clk', 
-                   default = 50000,
-                   help = 'system clock frequency (50 KHz simu / 1 GHz VLSI)' )
+                   help = 'define type of IOC: BDV / HBA / SDC / RDK / SPI' )
+
+parser.add_option( '--mwr_type', type = 'string', dest = 'mwr_type',
+                   default = 'MWR_CPY',
+                   help = 'define type of COPROC: CPY / DCT / GCD' )
+
+parser.add_option( '--io_cxy', type = 'int', dest = 'io_cxy',
+                   default = 0,
+                   help = 'define IO cluster identifier' )
+
+parser.add_option( '--boot_cxy', type = 'int', dest = 'boot_cxy',
+                   default = 0,
+                   help = 'define boot cluster identifier' )
+
+parser.add_option( '--cache_line', type = 'int', dest = 'cache_line',
+                   default = 64,
+                   help = 'define number of bytes in a cache line' )
 
 parser.add_option( '--hard', type = 'string', dest = 'hard_path',
@@ -112,9 +127,12 @@
 nb_cores       = options.nb_cores    # number of cores in a cluster
 nb_ttys        = options.nb_ttys     # number of TTY channels           
+fbf_size       = options.fbf_size    # frame buffer width & heigth
 nb_nics        = options.nb_nics     # number of NIC channels           
+nb_cmas        = options.nb_cmas     # number of CMA channels           
 ioc_type       = options.ioc_type    # ioc controller type
-txt_type       = options.txt_type    # txt terminal type
-fbf_type       = options.fbf_type    # fbf terminal type
-sys_clk        = options.sys_clk     # system clock frequency in Hertz
+mwr_type       = options.mwr_type    # hardware coprocessor type
+io_cxy         = options.io_cxy      # IO cluster identifier 
+boot_cxy       = options.boot_cxy    # boot cluster identifier 
+cache_line     = options.cache_line  # number of bytes in a cache line
 
 hard_path      = options.hard_path   # path for hard_config.h file
@@ -145,8 +163,11 @@
                         nb_ttys, 
                         nb_nics, 
-                        ioc_type,
-                        txt_type,
-                        fbf_type, 
-                        sys_clk )
+                        nb_cmas, 
+                        fbf_size, 
+                        ioc_type, 
+                        mwr_type,
+                        io_cxy,
+                        boot_cxy,
+                        cache_line )
 
 print '[genarch] archinfo build for %s' % archinfo.name 
